## smuxi 1.1

=== lib/SmartIrc4net/examples/benchmark/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=benchmark.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full:
	cd ../../src; make release
	$(MAKE) release
	
clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

=== lib/SmartIrc4net/examples/stresstest/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=stresstest.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full: release
	cd ../../src; make release
	$(MAKE) release

clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

=== lib/SmartIrc4net/examples/test/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=test.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^
	
debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full: release
	cd ../../src; make release
	$(MAKE) release

clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

## smuxi 0.8

=== debian/changelog ===
smuxi (0.8-8) unstable; urgency=low

  * [9290dca] Fix startup crash in smuxi-frontend-gnome when no notification
              daemon is available (closes: #636348)
  * [2c50896] Fix potential startup crash in smuxi-frontend-gnome when no
              indicate daemon is available

 -- Mirco Bauer <meebey@debian.org>  Fri, 05 Aug 2011 22:14:57 +0200

smuxi (0.8-7) unstable; urgency=low

  * [85d9b16] Refreshed build_Twitterizer2_with_default_compiler.patch
  * [7982725] Use 3.0 (quilt) as source format, else ubuntu.series won't be
              picked up by dpkg-source

 -- Mirco Bauer <meebey@debian.org>  Sun, 26 Jun 2011 03:21:06 +0200

smuxi (0.8-6) unstable; urgency=low

  * [3cd6eae] Build Newtonsoft.Json with the default compiler
  * [ab87266] Build Twitterizer2 with default compiler
  * [e13831a] Add useless ${misc:Depends} to smuxi meta package to please
              lintian

 -- Mirco Bauer <meebey@debian.org>  Sun, 26 Jun 2011 02:34:42 +0200

smuxi (0.8-5) unstable; urgency=low

  * [e040217] Added suggests oidentd | ident-server to smuxi-engine-irc as IRC
              servers might still use ident
  * [c4b4dab] Added notification-daemon to recommends of smuxi-frontend-gnome
              as most users like it
  * [a76aa87] Fixed Ubuntu distro detection by making use of vendor-specific
              patches with quilt
  * [f0ae392] Fixed compile on Mono 2.10 by backporting 2 upstream patches

 -- Mirco Bauer <meebey@debian.org>  Sun, 26 Jun 2011 01:04:53 +0200

smuxi (0.8-4) unstable; urgency=low

  * [f7a2a37] Added smuxi-frontend-gnome-irc and ssh-askpass(-gnome) to
              recommends of smuxi-frontend-gnome to ensure the user is not
              missing important functionality.

 -- Mirco Bauer <meebey@debian.org>  Sun, 08 May 2011 20:23:00 +0200

smuxi (0.8-3) unstable; urgency=medium

  * [a518eb9] Refreshed quilt patches
  * [d4d8e0b] Fixed crash when disposing desktop notifications.
              (closes: #616984)

 -- Mirco Bauer <meebey@debian.org>  Sun, 20 Mar 2011 16:41:20 +0100

smuxi (0.8-2) unstable; urgency=low

  * Upload to unstable
  * [069c0d7] Set debian and upstream branch back for git-buildpackage

 -- Mirco Bauer <meebey@debian.org>  Tue, 08 Feb 2011 16:33:49 +0100

smuxi (0.8-1) experimental; urgency=low

  * [32e8727] Added missing translation files
  * [91e97c6] Added git-buildpackage settings for master/upstream-
    experimental branches
  * [fec647a] Imported Upstream version 0.8
  * [f88a2d5] Dropped libsmartirc4net-cil-dev from build-deps and added
    libnotify-cil-dev and libindicate0.1-cil-dev
  * [ea6c02c] Enabled notifications and messaging menu support
  * [d18aa8e] Updated ubuntu_default_settings.patch for Smuxi 0.8
  * [54163bb] Bumped Mono build-dep to >= 2.6 as it is needed for the
    Twitter support
  * [970d7c0] Added Twitterizer2 and Newtonsoft.Json library to smuxi-
    engine-twitter package
  * [bb755ba] Updated Twitterizer and added Newtonsoft.Json copyright
    information
  * [0e9b3ef] Added Meebey.SmartIrc4net library to smuxi-engine-irc
    package
  * [9910304] Disabled stripping debug symbols

 -- Mirco Bauer <meebey@debian.org>  Fri, 03 Sep 2010 00:15:31 +0200

smuxi (0.7.2.2-1) unstable; urgency=low

  * [37b22cb] Imported Upstream version 0.7.2.2

 -- Mirco Bauer <meebey@debian.org>  Wed, 28 Jul 2010 03:44:36 +0200

smuxi (0.7.2.1-2) unstable; urgency=low

  * [732a021] Updated ubuntu_default_settings patch to cleanly apply
    again
  * [8d26689] Added git-dch settings

 -- Mirco Bauer <meebey@debian.org>  Sat, 24 Jul 2010 11:38:01 +0200

smuxi (0.7.2.1-1) unstable; urgency=low

  * New upstream (bugfix) release

 -- Mirco Bauer <meebey@debian.org>  Sat, 24 Jul 2010 01:09:27 +0200

smuxi (0.7.2-1) unstable; urgency=low

  * New upstream release:
    + Portuguese translation (closes: #569907)
    + Czech translation (closes: #589628, #589144, #589627)
    + Danish translation (closes: #589286)
  * debian/control:
    + Updated Vcs-* fields for the new git repository.
  * debian/rules:
    + Fixed debian/series file patcher.
    + Disabled "make check" as gettext fails on sources in .pc/ from quilt.

 -- Mirco Bauer <meebey@debian.org>  Fri, 23 Jul 2010 00:55:32 +0200

smuxi (0.7.1-1) unstable; urgency=medium

  * New upstream (bugfix) release.

 -- Mirco Bauer <meebey@debian.org>  Tue, 02 Feb 2010 00:43:22 +0100

smuxi (0.7-1) unstable; urgency=low

  * New upstream release:
    + Italian translation (closes: #560351)
    + Czech translation (closes: #564426, #564427, #564428)
  * debian/copyright:
    + Updated for new source files, copyright holders and the DEP5
      format specification.
  * debian/control:
    + Added mono-xbuild to build-deps.
    + Added new smuxi-engine-twitter engine.
    + Enhanced some package descriptions.
  * debian/watch:
    + Updated

 -- Mirco Bauer <meebey@debian.org>  Mon, 11 Jan 2010 22:47:12 +0100

smuxi (0.6.4.1-2) unstable; urgency=low

  * debian/control:
    + Added librsvg2-common to the dependencies of smuxi-frontend-gnome as it
      needs the SVG loader support of GTK+.
    + Updated build-deps to use the -cil-dev packages now.
    + Updated mono-devel build-dep to >= 2.4.3 and dropped obsolete explicit
      libmono*-cil build-deps.
    + Added libgnome-vfs2.0-cil-dev and libart2.0-cil-dev to build-deps to
      workaround a bug in the libgnome2.0-cil-dev package.
    + Enhanced package long descriptions.

 -- Mirco Bauer <meebey@debian.org>  Thu, 07 Jan 2010 17:11:16 +0100

smuxi (0.6.4.1-1) unstable; urgency=medium

  [ Mirco Bauer ]
  * New upstream (bugfix) release.
    + Upstream switched from automake 1.10 to 1.11 which fixes the FTBFS
      when using dash as /bin/sh. (Closes: #545619)

  [ Stefan Ebner ]
  * debian/patches: Convert everything to quilt
  * debian/rules: Rewrote to use quilt instead of dpatch
  * debian/control: Replace dpatch build dependecy with versioned quilt one
  * Add debian/README.source as we are using quilt now



=== debian/control ===
Source: smuxi
Section: gnome
Priority: optional
Maintainer: Mirco Bauer <meebey@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: cli-common-dev (>= 0.5.7),
 mono-devel (>= 2.6),
 mono-xbuild (>= 2.6),
 libnini-cil-dev (>= 1.1),
 liblog4net-cil-dev,
 libgtk2.0-cil-dev (>= 2.8),
 libgnome2.0-cil-dev (>= 2.24),
 libglade2.0-cil-dev (>= 2.8),
 libglib2.0-cil-dev (>= 2.8),
 libgnome-vfs2.0-cil-dev (>= 2.8),
 libart2.0-cil-dev (>= 2.8),
 libnotify-cil-dev,
 libindicate0.1-cil-dev,
 lsb-release,
 pkg-config,
 gettext,
 intltool,
 libtool,
 autoconf,
 automake,
 autotools-dev
Standards-Version: 3.8.3
Homepage: http://www.smuxi.org/
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/smuxi.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/smuxi.git

Package: smuxi
Architecture: all
Suggests: smuxi-server
Depends: ${misc:Depends},
         smuxi-frontend-gnome-irc (= ${source:Version}),
         smuxi-engine-twitter (= ${source:Version})
Description: graphical IRC client
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This is a metapackage which depends on the default flavor of Smuxi, which is
 the GNOME frontend with Twitter and enhanced IRC support.

Package: smuxi-engine
Architecture: all
Replaces: smuxi (<< 0.5.25)
Recommends: smuxi-engine-irc,
            smuxi-engine-twitter
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends}
Description: Engine library for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the Smuxi engine, needed by Smuxi frontends or the
 standalone server.

Package: smuxi-engine-irc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version})
Suggests: oidentd | ident-server
Description: IRC engine for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the IRC engine for Smuxi.

Package: smuxi-engine-twitter
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version})
Description: Twitter engine for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the Twitter engine for Smuxi. This plugin allows you
 to receive and post tweets to the Twitter microblogging service. It
 supports the friends timeline, replies view, and direct messages.

Package: smuxi-server
Architecture: all
Replaces: smuxi (<< 0.5.25)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version})
Description: Server application for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the standalone server of Smuxi, it doesn't need any GUI.
 The Smuxi frontends can connect to a running server via the network.

Package: smuxi-frontend
Architecture: all
Replaces: smuxi (<< 0.5.25)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version})
Description: Frontend library for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the base library for all Smuxi frontends.

Package: smuxi-frontend-gnome
Architecture: all
Replaces: smuxi (<< 0.5.25)
Recommends: smuxi-frontend-gnome-irc (= ${source:Version}),
            ssh-askpass-gnome | ssh-askpass,
            notification-daemon
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version}),
         smuxi-frontend (= ${source:Version}),
         librsvg2-common
Description: GNOME frontend for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the GNOME frontend of Smuxi, it can run either standalone
 using a local engine or connect to a running remote engine (server).

Package: smuxi-frontend-gnome-irc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version}),
         smuxi-engine-irc (= ${source:Version}),
         smuxi-frontend (= ${source:Version}),
         smuxi-frontend-gnome (= ${source:Version})
Description: IRC support for GNOME frontend for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains enhanced IRC support for the GNOME frontend of Smuxi.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

override_dh_auto_configure:
	dh_auto_configure -- --enable-engine-irc --enable-frontend-gnome --with-notify --with-indicate GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc

# disable "make check"
override_dh_auto_test:

# disable stripping debugging symbols
override_dh_clistrip:

%:
	dh $@

## smuxi 0.8.9.1

=== debian/changelog ===
smuxi (0.8.9.1-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Build against ndesk-dbus instead of dbus-sharp.

 -- Mirco Bauer <meebey@debian.org>  Fri, 20 Jan 2012 22:21:00 +0100

smuxi (0.8.9.1-3) unstable; urgency=low

  * [7cd3a08] Ignore secur32(.dll) ModuleRef for dh_clideps
  * [0055fc3] Added missing ncurses dllmap for smuxi-frontend-stfl.exe

 -- Mirco Bauer <meebey@debian.org>  Sat, 07 Jan 2012 12:13:22 +0100

smuxi (0.8.9.1-2) unstable; urgency=low

  * [d3a922c] Added new Db4objects.Db4o library to smuxi-engine package

 -- Mirco Bauer <meebey@debian.org>  Wed, 04 Jan 2012 08:22:07 +0100

smuxi (0.8.9.1-1) unstable; urgency=low

  * [7525843] Imported Upstream version 0.8.9.1
  * [b492feb] Install new application icons

 -- Mirco Bauer <meebey@debian.org>  Tue, 03 Jan 2012 10:21:20 +0100

smuxi (0.8.9-1) unstable; urgency=low

  * [0d666d8] Imported Upstream version 0.8.9
  * [9ce1498] Dropped patches that are already applied upstream
  * [1d7d863] Updated patches to build with the system default compiler
  * [c0f6d11] Enabled and added STFL frontend packages
  * [b992bc2] Enabled and added XMPP engine package
  * [ad44b32] Added dbus-sharp to build-deps
  * [cb1f671] Pass debian package version to configure script
  * [88dd531] Added libstfl-dev to build-deps

 -- Mirco Bauer <meebey@debian.org>  Tue, 03 Jan 2012 09:31:38 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,9 @@
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
  libindicate0.1-cil-dev,
+ libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev, 
+ libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
+ libstfl-dev (>= 0.21),
  lsb-release,
  pkg-config,
  gettext,
@@ -34,7 +37,8 @@
 Suggests: smuxi-server
 Depends: ${misc:Depends},
          smuxi-frontend-gnome-irc (= ${source:Version}),
-         smuxi-engine-twitter (= ${source:Version})
+         smuxi-engine-twitter (= ${source:Version}),
+         smuxi-engine-xmpp (= ${source:Version})
 Description: graphical IRC client
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.
@@ -56,7 +60,8 @@
 Architecture: all
 Replaces: smuxi (<< 0.5.25)
 Recommends: smuxi-engine-irc,
-            smuxi-engine-twitter
+            smuxi-engine-twitter,
+            smuxi-engine-xmpp
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${cli:Depends}
@@ -123,6 +128,29 @@
  This package contains the Twitter engine for Smuxi. This plugin allows you
  to receive and post tweets to the Twitter microblogging service. It
  supports the friends timeline, replies view, and direct messages.
+
+Package: smuxi-engine-xmpp
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${cli:Depends},
+         smuxi-engine (= ${source:Version})
+Description: XMPP / Jabber / GTalk / Facebook Chat engine for Smuxi
+ Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
+ client for sophisticated users, targeting the GNOME desktop.
+ .
+ Smuxi is based on the client-server model: The core application (engine) can
+ be placed onto a server which is connected to the Internet around-the-clock;
+ one or more frontends then connect to the core. This way, the connection to
+ IRC can be kept up even when all frontends have been closed. The combination
+ of screen and irssi served as example for this architecture.
+ .
+ Smuxi also supports the regular single application mode. This behaves like a
+ typical IRC client; it doesn't need separate core management and utilizes a
+ local engine that is used by the local frontend client.
+ .
+ This package contains the XMPP engine for Smuxi. This plugin allows you
+ to receive and send messages on XMPP, Jabber, GTalk and the Facebook chat.
 
 Package: smuxi-server
 Architecture: all
@@ -224,3 +252,22 @@
  local engine that is used by the local frontend client.
  .
  This package contains enhanced IRC support for the GNOME frontend of Smuxi.
+
+Package: smuxi-frontend-stfl
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${cli:Depends},
+         smuxi-engine (= ${source:Version}),
+         smuxi-frontend (= ${source:Version})
+Description: STFL frontend for Smuxi (experimental)
+ Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
+ client for sophisticated users, targeting the GNOME desktop.
+ .
+ Smuxi is based on the client-server model: The core application (engine) can
+ be placed onto a server which is connected to the Internet around-the-clock;
+ one or more frontends then connect to the core. This way, the connection to
+ IRC can be kept up even when all frontends have been closed. The combination
+ of screen and irssi served as example for this architecture.
+ .
+ Smuxi also supports the regular single application mode. This behaves like a

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

LSB_VENDOR = $(shell lsb_release -is)
LSB_CODENAME = $(shell lsb_release -cs)
DEB_VERSION = $(shell dpkg-parsechangelog -ldebian/changelog | grep ^Vers | cut -d\  -f2)

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-vendor-package-version="Debian $(DEB_VERSION)" \
		--enable-engine-irc \
		--enable-engine-xmpp \
		--enable-frontend-gnome \
		--enable-frontend-stfl \
		--with-notify \
		--with-indicate \
		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc

# disable "make check"
override_dh_auto_test:

# disable stripping debugging symbols
override_dh_clistrip:

override_dh_clideps:
	dh_clideps --exclude-moduleref=i:secur32 --exclude-moduleref=i:secur32.dll

%:
	dh $@

## smuxi 0.8.9.2

=== debian/changelog ===
smuxi (0.8.9.2-2) unstable; urgency=high

  * [7a6ba6b] Fixed messaging menu detection

 -- Mirco Bauer <meebey@debian.org>  Thu, 22 Mar 2012 22:37:30 +0100

smuxi (0.8.9.2-1) unstable; urgency=low

  * [5e91a5f] Imported Upstream version 0.8.9.2
              + Includes updated Portuguese translations
                (closes: #596024, #655629, #655631, #655633, #655634, #655638)
  * [0536705] Dropped debian/patches/fix_smuxi-frontend-stfl_dllmap.patch as
              already applied upstream

 -- Mirco Bauer <meebey@debian.org>  Mon, 06 Feb 2012 20:57:35 +0100

smuxi (0.8.9.1-4) unstable; urgency=low

  * [e0c61ee] Removed deprecated cli.make include to be DH8 forward compatible

 -- Mirco Bauer <meebey@debian.org>  Sun, 22 Jan 2012 00:41:27 +0100

## smuxi 0.8.10

=== debian/changelog ===
smuxi (0.8.10-2) experimental; urgency=low

  * [1062503] Bumped Standards-Version to 3.9.3 (no changes needed)
  * [b263954] Added libgtkspell-dev to build-deps and enabled GTK+ spell
              checking

 -- Mirco Bauer <meebey@debian.org>  Wed, 22 Aug 2012 21:21:15 +0200

smuxi (0.8.10-1) unstable; urgency=low

  * [7c31cd4] Imported Upstream version 0.8.10
  * [99fe788] Dropped fix_messaging_menu_detection.patch, as already applied
              upstream
  * [e5c1027] Refreshed patches

 -- Mirco Bauer <meebey@debian.org>  Sat, 30 Jun 2012 17:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
  libindicate0.1-cil-dev,
- libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev, 
- libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
+ libgtkspell-dev (>= 2.0.9),
+ libdbus1.0-cil-dev,
+ libdbus-glib1.0-cil-dev,
  libstfl-dev (>= 0.21),
  lsb-release,
  pkg-config,
@@ -27,7 +28,7 @@
  autoconf,
  automake,
  autotools-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.3
 Homepage: http://www.smuxi.org/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/smuxi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/smuxi.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
-include /usr/share/cli-common/cli.make
 
 LSB_VENDOR = $(shell lsb_release -is)
 LSB_CODENAME = $(shell lsb_release -cs)
@@ -16,6 +14,7 @@
 		--enable-frontend-stfl \
 		--with-notify \
 		--with-indicate \
+		--with-gtkspell \
 		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc
 
 # disable "make check"
@@ -28,4 +27,4 @@
 	dh_clideps --exclude-moduleref=i:secur32 --exclude-moduleref=i:secur32.dll
 
 %:
-	dh $@
+	dh $@ --with cli

## smuxi 0.8.10.12100

=== debian/changelog ===
smuxi (0.8.10.12100-1ubuntu2) quantal; urgency=low

  * [fe20870] Applied upstream's disable_hiding_main_window patch:
              Workaround serious issue that made it impossible to restore the
              main window after it was closed which led to a new Smuxi instance

 -- Mirco Bauer <meebey@debian.org>  Mon, 15 Oct 2012 22:18:15 +0200

smuxi (0.8.10.12100-1ubuntu1) quantal; urgency=low

  * [f3ddd8d] Imported Upstream version 0.8.10.12100
  * [57b90c6] Replaced libindicate0.1-cil-dev build-dep with
              libmessaging-menu-dev
  * [f4c7717] Let the configure script decide to use indicate-sharp,
              messagingmenu-sharp or none
  * [046df22] Added messagingmenu-sharp and gio-sharp private libraries to
              smuxi-frontend-gnome package

  * New upstream bugfix release 0.8.10.1, changes since 0.8.10:
    + smuxi-server now honors the timezone of tweets
    + Fixed a connection crash with InspIRCd-2.0 servers
    + Quick join no longer opens another network tab
    + Closing chats no longer crashes Smuxi sometimes
    + /connect irc.some-server.com works again
    + Focusing the message area moves the focus back to the entry again
    + Fixed showing URLs in find group chat dialog
    + Updated Portuguese translation
  * New upstream bugfix release 0.8.10.12100, changes since 0.8.10.1:
    + Build no longer fails because of undefined "BUNDLE_NINI" conditional
    + Icons in notifications are now passed as file path instead of blob to
      avoid serious performance issues with the gnome-shell.
      (see GNOME bug #683829)
    + Implemented libmessaging-menu support by using the new
      messagingmenu-sharp binding that is shipped with Smuxi.
      (LP: #1040259)

 -- Mirco Bauer <meebey@debian.org>  Wed, 10 Oct 2012 23:08:08 +0200

smuxi (0.8.10-3) unstable; urgency=low

  * [d1b3dd5] Revert "Bumped Standards-Version to 3.9.3 (no changes needed)"

 -- Mirco Bauer <meebey@debian.org>  Sun, 23 Sep 2012 22:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,9 @@
  libgnome-vfs2.0-cil-dev (>= 2.8),
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
- libindicate0.1-cil-dev,
+ libmessaging-menu-dev,
+ libgio2.0-cil-dev,
+ gtk-sharp2-gapi,
  libgtkspell-dev (>= 2.0.9),
  libdbus1.0-cil-dev,
  libdbus-glib1.0-cil-dev,
@@ -28,7 +30,7 @@
  autoconf,
  automake,
  autotools-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.8.3
 Homepage: http://www.smuxi.org/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/smuxi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/smuxi.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 		--enable-frontend-gnome \
 		--enable-frontend-stfl \
 		--with-notify \
-		--with-indicate \
 		--with-gtkspell \
 		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc

## smuxi 0.8.11

=== debian/changelog ===
smuxi (0.8.11-1) unstable; urgency=low

  * [22d13d5] Imported Upstream version 0.8.11
  * [6d2b95a] Refreshed patches
  * [89eb66e] Added ServiceStack libraries to smuxi-engine package
  * [848ab10] Enable Campfire engine
  * [c6dbdc7] Always build db4o for predictable build result
  * [13ec489] Exclude OS X specific libraries from dh_clideps

 -- Mirco Bauer <meebey@debian.org>  Sat, 25 May 2013 22:11:31 +0200

smuxi (0.8.10.2-1) unstable; urgency=low

  * [a014cb4] Imported Upstream version 0.8.10.2
  * [9336733] Merged smuxi-server, smuxi-engine-irc, smuxi-engine-twitter,
              smuxi-engine-xmpp, and smuxi-frontend-gnome-irc into smuxi-engine
              and smuxi-frontend-gnome
  * [61dd9f0] Refreshed patches
  * [304f2b2] Bumped Standards-Version to 3.9.4 (no changes needed)
  * [106f749] Merged smuxi-frontend package into smuxi-engine

 -- Mirco Bauer <meebey@debian.org>  Wed, 15 May 2013 21:25:27 +0200

=== debian/control ===
Source: smuxi
Section: gnome
Priority: optional
Maintainer: Mirco Bauer <meebey@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: cli-common-dev (>= 0.5.7),
 mono-devel (>= 2.6),
 mono-xbuild (>= 2.6),
 libnini-cil-dev (>= 1.1),
 liblog4net-cil-dev,
 libgtk2.0-cil-dev (>= 2.8),
 libgnome2.0-cil-dev (>= 2.24),
 libglade2.0-cil-dev (>= 2.8),
 libglib2.0-cil-dev (>= 2.8),
 libgnome-vfs2.0-cil-dev (>= 2.8),
 libart2.0-cil-dev (>= 2.8),
 libnotify-cil-dev,
 libindicate0.1-cil-dev,
 libgtkspell-dev (>= 2.0.9),
 libdbus1.0-cil-dev,
 libdbus-glib1.0-cil-dev,
 libstfl-dev (>= 0.21),
 lsb-release,
 pkg-config,
 gettext,
 intltool,
 libtool,
 autoconf,
 automake,
 autotools-dev
Standards-Version: 3.9.4
Homepage: http://www.smuxi.org/
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/smuxi.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/smuxi.git

Package: smuxi
Architecture: all
Depends: ${misc:Depends},
         smuxi-frontend-gnome (= ${source:Version}),
Description: graphical IRC client
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This is a metapackage which depends on the default flavor of Smuxi, which is
 the GNOME frontend with Twitter and enhanced IRC support.

Package: smuxi-engine
Architecture: all
Replaces: smuxi (<< 0.5.25),
          smuxi-engine-irc (<< 0.8.10.2),
          smuxi-engine-twitter (<< 0.8.10.2),
          smuxi-engine-xmpp (<< 0.8.10.2),
          smuxi-frontend (<< 0.8.10.2),
          smuxi-server (<< 0.8.10.2)
Conflicts: smuxi-engine-irc (<< 0.8.10.2),
           smuxi-engine-twitter (<< 0.8.10.2),
           smuxi-engine-xmpp (<< 0.8.10.2),
           smuxi-frontend (<< 0.8.10.2),
           smuxi-server (<< 0.8.10.2)
Suggests: oidentd | ident-server
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends}
Description: Engine libraries for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the Smuxi engines, needed by Smuxi frontends or the
 standalone server. The standalone server of Smuxi doesn't need any GUI.
 The Smuxi frontends can connect to a running server via the network.
 .
 The following Smuxi engines are included:
 * IRC engine
 * Twitter engine
   - receive and post tweets to the Twitter microblogging service.
   - friends timeline, replies view, and direct messages.
 * XMPP engine
   - receive and send messages on XMPP, Jabber, GTalk and the Facebook chat.

Package: smuxi-frontend-gnome
Architecture: all
Replaces: smuxi (<< 0.5.25),
          smuxi-frontend-gnome-irc (<< 0.8.10.2)
Conflicts: smuxi-frontend-gnome-irc (<< 0.8.10.2)
Recommends: ssh-askpass-gnome | ssh-askpass,
            notification-daemon
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version}),
         librsvg2-common
Description: GNOME frontend for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the GNOME frontend of Smuxi, it can run either standalone
 using a local engine or connect to a running remote engine (server).

Package: smuxi-frontend-stfl
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         smuxi-engine (= ${source:Version}),
Description: STFL frontend for Smuxi (experimental)
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the experimental STFL frontend of Smuxi, it can run
 either standalone using a local engine or connect to a running
 remote engine (server).
 .
 STFL is a library that uses ncurses to draw text based  user interface using
 a markup language (like Glade for GTK+). This frontend is in early alpha state
 and lacks a lot of interface features and likes to crash.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-vendor-package-version="Debian $(DEB_VERSION)" \
+		--enable-engine-campfire \
 		--enable-engine-irc \
 		--enable-engine-xmpp \
 		--enable-frontend-gnome \
 		--enable-frontend-stfl \
 		--with-notify \
+		--with-indicate \
 		--with-gtkspell \
+		--with-db4o=included \
 		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc
 
 # disable "make check"
@@ -23,7 +26,13 @@
 override_dh_clistrip:
 
 override_dh_clideps:
-	dh_clideps --exclude-moduleref=i:secur32 --exclude-moduleref=i:secur32.dll
+	dh_clideps \
+		--exclude-moduleref=i:secur32 \
+		--exclude-moduleref=i:secur32.dll \
+		--exclude-moduleref=libigemacintegration.dylib \
+		--exclude-moduleref=/System/Library/Frameworks/Carbon.framework/Versions/Current/Carbon \
+		--exclude-moduleref=/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation \
+		--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
 
 %:
 	dh $@ --with cli

## smuxi 0.9

=== debian/changelog ===
smuxi (0.9-1build1) saucy; urgency=low

  * No-change rebuild to get messagingmenu-sharp support

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 28 Aug 2013 11:10:52 +0000

smuxi (0.9-1) unstable; urgency=low

  * [9467778] Let the configure script decide to use indicate-sharp,
              messagingmenu-sharp or none
  * [3040a00] Added optional MessagingMenu build-deps
  * [6cfab39] Allow NDesk.DBus# as alternative build-dep to DBus#
  * [e56174c] Optionally install GIO# and MessagingMenu# library into
              smuxi-frontend-gnome package
  * [ec3a98f] Build against libmessagingmenu-cil-dev as Smuxi no longer ships
              the MessagingMenu# library
  * [626caa0] Fixed messagingmenu-sharp detection
  * [aa7e898] Make use of dh_autoreconf
  * [c560626] Added autopoint to build-deps as needed by autoreconf
  * [c7594ed] Remove messagingmenu-sharp from SUBDIRS to fix autoreconf
  * [657d555] Use upstream's autogen.sh script
  * [ee90bb2] Make override_dh_autoreconf idempotent
  * [d8c92ba] Ship system gio-sharp library in smuxi-frontend-gnome when needed
  * [c7dc046] Never generate clilibs
  * [4d98087] dh_install can't install system files, thus we need to use install
              instead
  * [baf5c50] Enhanced package description of smuxi-engine
  * [2381613] Imported Upstream version 0.9
  * [2a8015b] Dropped fix_messagingmenu-sharp_detection.patch and
              remove_messagingmenu-sharp_from_SUBDIRS.patch as already
              applied upstream
  * [50a06ac] Build agsXMPP with the default compiler
  * [9184cd9] Refreshed debian_default_settings.patch and
              ubuntu_default_settings.patch
  * [f7f1bfb] The jabber-net library was replaced with the agsXMPP library
  * [5e41891] Added StarkSoftProxy library to smuxi-engine package
  * [b5dd451] Build with JabbR support
  * [2f98783] Updated package description for Campfire and JabbR support
  * [5ea9db6] No need to re-autogen SmartIrc4net as it is now part of the
              regular build sys

 -- Mirco Bauer <meebey@debian.org>  Sun, 25 Aug 2013 22:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Mirco Bauer <meebey@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 7.0.50), dh-autoreconf
 Build-Depends-Indep: cli-common-dev (>= 0.5.7),
  mono-devel (>= 2.6),
  mono-xbuild (>= 2.6),
@@ -15,10 +15,12 @@
  libgnome-vfs2.0-cil-dev (>= 2.8),
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
- libindicate0.1-cil-dev,
+ libmessagingmenu-cil-dev | libindicate0.1-cil-dev | libindicate-dev,
+ libgio2.0-cil-dev | libglib2.0-dev,
+ gtk-sharp2-gapi,
+ libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
+ libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
  libgtkspell-dev (>= 2.0.9),
- libdbus1.0-cil-dev,
- libdbus-glib1.0-cil-dev,
  libstfl-dev (>= 0.21),
  lsb-release,
  pkg-config,
@@ -27,6 +29,7 @@
  libtool,
  autoconf,
  automake,
+ autopoint,
  autotools-dev
 Standards-Version: 3.9.4
 Homepage: http://www.smuxi.org/
@@ -71,7 +74,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${cli:Depends}
-Description: Engine libraries for Smuxi
+Description: Engine libraries for Smuxi (IRC, Twitter, XMPP, Campfire, JabbR)
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.
  .
@@ -85,17 +88,20 @@
  typical IRC client; it doesn't need separate core management and utilizes a
  local engine that is used by the local frontend client.
  .
- This package contains the Smuxi engines, needed by Smuxi frontends or the
- standalone server. The standalone server of Smuxi doesn't need any GUI.
- The Smuxi frontends can connect to a running server via the network.
+ This package contains all Smuxi engines and the standalone server.
  .
- The following Smuxi engines are included:
+ The standalone server of Smuxi named smuxi-server doesn't need any GUI. The
+ Smuxi frontends can connect to a running server via the network.
+ .
+ The following Smuxi engines are included in this package:
  * IRC engine
  * Twitter engine
    - receive and post tweets to the Twitter microblogging service.
    - friends timeline, replies view, and direct messages.
  * XMPP engine
    - receive and send messages on XMPP, Jabber, GTalk and the Facebook chat.
+ * Campfire engine
+ * JabbR engine
 
 Package: smuxi-frontend-gnome
 Architecture: all

## smuxi 0.11~rc5

=== debian/changelog ===
smuxi (0.11~rc5-1~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.
  * [6ca4d0d] Disable JabbR as it requires Mono 2.10

 -- Mirco Bauer <meebey@debian.org>  Sun, 04 May 2014 10:47:04 +0200

smuxi (0.11~rc5-1) unstable; urgency=medium

  * [2900227] Imported Upstream version 0.11~rc5

 -- Mirco Bauer <meebey@debian.org>  Sun, 16 Mar 2014 17:05:21 +0100

smuxi (0.11~rc2-1) unstable; urgency=medium

  * [1fb9a2c] Imported Upstream version 0.11~rc2
  * [0d91af1] Dropped remove_wcf_references.patch, already applied upstream
  * [97b452a] Refreshed patches

 -- Mirco Bauer <meebey@debian.org>  Sun, 16 Feb 2014 20:08:23 +0100

smuxi (0.10-2) unstable; urgency=medium

  * [66d273c] Install manpages for smuxi-server, smuxi-frontend-gnome and
              smuxi-frontend-stfl
  * [51ce6db] Refreshed build_Twitterizer2_with_default_compiler.patch
  * [28027f4] avoid unneeded WCF assembly references for ServiceStack.Common
  * [b9d87b4] fixed re-autogen

 -- Mirco Bauer <meebey@debian.org>  Tue, 21 Jan 2014 05:40:14 +0100

smuxi (0.10-1) unstable; urgency=medium

  * [76c7e84] Imported Upstream version 0.10
  * [1bd2abd] README was renamed to README.md
  * [0714a4b] Install HACKING file to docs
  * [3014f6a] Refreshed quilt patches
  * [fcd2185] Build against dbus-sharp(-glib)-2.0

 -- Mirco Bauer <meebey@debian.org>  Mon, 16 Dec 2013 09:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,12 @@
  libgnome-vfs2.0-cil-dev (>= 2.8),
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
+ libindicate0.1-cil-dev,
  libmessagingmenu-cil-dev | libindicate0.1-cil-dev | libindicate-dev,
  libgio2.0-cil-dev | libglib2.0-dev,
  gtk-sharp2-gapi,
- libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
- libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
+ libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
+ libdbus-glib2.0-cil-dev | libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
  libgtkspell-dev (>= 2.0.9),
  libstfl-dev (>= 0.21),
  lsb-release,

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,11 @@
 		--with-vendor-package-version="Debian $(DEB_VERSION)" \
 		--enable-engine-campfire \
 		--enable-engine-irc \
+		--disable-engine-jabbr \
 		--enable-engine-xmpp \
 		--enable-frontend-gnome \
 		--enable-frontend-stfl \
 		--with-notify \
-		--with-indicate \
 		--with-gtkspell \
 		--with-db4o=included \
 		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc
@@ -25,6 +25,9 @@
 # disable stripping debugging symbols
 override_dh_clistrip:
 
+# disable generating clilibs
+override_dh_makeclilibs:
+
 override_dh_clideps:
 	dh_clideps \
 		--exclude-moduleref=i:secur32 \
@@ -34,5 +37,17 @@
 		--exclude-moduleref=/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation \
 		--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
 
+override_dh_install:
+	dh_install
+	# optional included libs
+	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/messagingmenu-sharp.dll*"
+	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/gio-sharp.dll*"
+	# optional system libs
+	-install /usr/lib/gio-sharp/gio-sharp.dll* debian/smuxi-frontend-gnome/usr/lib/smuxi/
+
+override_dh_autoreconf:
+	ln -sf debian/autogen.sh
+	NOCONFIGURE=1 NOGIT=1 dh_autoreconf ./autogen.sh
+
 %:
-	dh $@ --with cli
+	dh $@ --with autoreconf,cli

## smuxi 0.11.1

=== debian/changelog ===
smuxi (0.11.1-1) unstable; urgency=medium

  [ Victor Seva ]
  * [8bb1e99] Imported Upstream version 0.11.1 (Closes: #778301 #527072)
  * [80e6c08] add /me to uploaders
  * [7b6d23e] removing libtool from Depends

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 21 Apr 2015 21:55:26 +0200

smuxi (0.11~rc5-2) unstable; urgency=high

  * [28b937f] Put libindicate0.1-cil-dev build-dep first for Debian as required
              for sbuild (closes: #765158) (fixing FTBFS thus urgency=high)
  * [855826a] Added build-dep on libtool-bin as debian/autogen.sh needs
              bin/libtool which is no longer installed by libtool alone

 -- Mirco Bauer <meebey@debian.org>  Sat, 01 Nov 2014 17:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Mirco Bauer <meebey@debian.org>
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 7.0.50), dh-autoreconf
 Build-Depends-Indep: cli-common-dev (>= 0.5.7),
  mono-devel (>= 2.6),
@@ -15,8 +16,7 @@
  libgnome-vfs2.0-cil-dev (>= 2.8),
  libart2.0-cil-dev (>= 2.8),
  libnotify-cil-dev,
- libindicate0.1-cil-dev,
- libmessagingmenu-cil-dev | libindicate0.1-cil-dev | libindicate-dev,
+ libindicate0.1-cil-dev (<< 12.10~) | libmessagingmenu-cil-dev | libindicate-dev,
  libgio2.0-cil-dev | libglib2.0-dev,
  gtk-sharp2-gapi,
  libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
@@ -27,7 +27,7 @@
  pkg-config,
  gettext,
  intltool,
- libtool,
+ libtool-bin,
  autoconf,
  automake,
  autopoint,
